import { WebpackPluginInstance, Compiler } from "webpack";
export interface AutojsDevWebpackPluginOption {
    /** 部署类型; watch模式的时候，比特位 1 保存项目, 比特位 2 运行项目; 例如: 1:只保存不运行, 2:只运行不保存, 3:保存和运行（默认）*/
    action?: number;
}
export declare class AutojsDevWebpackPlugin implements WebpackPluginInstance {
    private readonly options;
    private input;
    private output;
    private projectName;
    private readonly files;
    private readonly log;
    private readonly server;
    private islog;
    constructor(options?: AutojsDevWebpackPluginOption);
    private getFiles;
    private runProject;
    /** 应用初始化 */
    apply(compiler: Compiler): void;
}
export default AutojsDevWebpackPlugin;
