/// <reference types="node" />
import fs from 'fs';
export type FileFilter = ((relativePath: string, path: string, stats: fs.Stats) => boolean);
export declare class FileObserver {
    private dir;
    private files;
    private filter;
    constructor(dirPath: string, filter: FileFilter);
    walk(): Promise<string[]>;
    getFiels(rootPath: string, fileList: string[], rej: any): void;
}
